/*******************************************************************************
 * Copyright © 2000, 2012 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM Corporation - initial API and implementation
 *
 *******************************************************************************/
package org.eclipse.edt.ide.ui.wizards;

import org.eclipse.core.runtime.Path;

public class RUIWidgetOperation extends PartOperation {
	public static final String WIDGET_TEMPLATE_ID = "org.eclipse.edt.ide.ui.templates.rui_widget"; //$NON-NLS-1$
	
	public RUIWidgetOperation(RUIWidgetConfiguration configuration) {
		super(configuration);
	}

	protected String getFileContents() throws PartTemplateException {
		
		String templateid = WIDGET_TEMPLATE_ID; //$NON-NLS-1$		
		RUIWidgetConfiguration configuration = (RUIWidgetConfiguration) super.configuration;
		String partName = configuration.getWidgetName();
		
		String relativeCSSFile = new Path("css/" + configuration.getProjectName() + ".css").toString();
		
		return getFileContents(
			"widget", //$NON-NLS-1$
			templateid,
			new String[] {
				"${widgetName}", //$NON-NLS-1$
				"${cssFile}", //$NON-NLS-1$
			},
			new String[] {
				partName,
				relativeCSSFile,
			});
	}
}
